#!/bin/sh

set -euo pipefail

for USER in $(printenv | grep -E "^SQUID_USER_" | sed -E 's/^SQUID_USER_([^=]+)=.*/\1/'); do
  echo "Adding user ${USER} in ${SQUID_CONFDIR}/auth"
  htpasswd -b -B ${SQUID_CONFDIR}/auth ${USER} "$(printenv SQUID_USER_${USER})"
done

