#!/bin/sh

set -euo pipefail

# Empty the env.conf fragment and recreate it from env vars
> /etc/squid/conf.d/env.conf
/entrypoint.d/10-squid-conf.sh
/entrypoint.d/30-filter-acl.sh

# Parse squid config and if OK, reload
if squid -k parse -f /etc/squid/squid.conf; then
  killall -HUP squid
fi
